package com.yh.saas.plugin.servicer.exception;

import lombok.Getter;

@Getter
public class ServicerException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	private final String code;

	private final String message;

	public ServicerException(ServicerExceptionEnum exceptionEnum) {
		super(exceptionEnum.getDesc());

		this.code = exceptionEnum.getValue();
		this.message = exceptionEnum.getDesc();
	}

	public ServicerException(String code, String message) {
		super(message);

		this.code = code;
		this.message = message;
	}
}
